Bug 87842 - Writer zoom at "page width", option to eliminate 3d page edge and gutter
Summary: Writer zoom at "page width", option to eliminate 3d page edge and gutter
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: Other All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsUXEval
Depends on:
Blocks: Zoom-Issues
  Show dependency treegraph
 
Reported: 2014-12-29 21:37 UTC by Orion
Modified: 2017-12-11 09:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Writer margin (24.05 KB, image/png)
2014-12-30 04:40 UTC, Orion
Details
Pages margin (15.60 KB, image/png)
2014-12-30 04:41 UTC, Orion
Details
Pages margin II (24.75 KB, image/png)
2014-12-30 05:53 UTC, Orion
Details
Optimal View (34.15 KB, image/png)
2015-03-01 18:27 UTC, Orion
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Orion 2014-12-29 21:37:42 UTC
The "page width" view in zoom leaves a small grey space at the edge of the Writer window, but the whole point of that view is to only see the page, so why keep the grey? I suspect it's a legacy thing, something most of us don't even see any more, but it's there, taking up space. I say, remove it.
Comment 1 V Stuart Foote 2014-12-30 04:03:02 UTC
@orion, *,
(In reply to orion from comment #0)
> The "page width" view in zoom leaves a small grey space at the edge of the
> Writer window, but the whole point of that view is to only see the page, so
> why keep the grey? I suspect it's a legacy thing, something most of us don't
> even see any more, but it's there, taking up space. I say, remove it.

More precise steps to reproduce and perhaps a test document?
Also a screen shot with annotation would be helpful as well...

Q: is this on OS X builds only?  

Windows and Linux builds simply show reasonable margins between the document's "page" and window (or widget--e.g. ruler, scroll bars) edges. If it is simply that margin, it offset is providing useful visual composition queues for page layout. 

Q: does the "Optimal View" zoom level, rather than "Page Width" zoon level, provide acceptable full width representation and make "better" use of space?
Comment 2 Orion 2014-12-30 04:40:53 UTC
Created attachment 111503 [details]
Writer margin
Comment 3 Orion 2014-12-30 04:41:26 UTC
I haven't Linux, but it's definitely on PC and Windows. It's a standard feature. 

I'm attaching a screen shot of Writer to show you what I mean, but I think we're talking about the same thing: the 'reasonable margins' that you refer to. They don't provide useful information, at least to me, so I'd like a view setting that eliminates them. 

'Optimal View' cuts off some of the page itself (about half the margin space), which I do think is useful visual information because it tells you how close you are to the page's edge. 

For comparison, I'm also attaching a screen shot of Pages, which eliminates that margin. It's a huge improvement in terms of both reclaiming screen space and visual clutter. It doesn't have to be the only or even the default mode, but I'd love to have the option.
Comment 4 Orion 2014-12-30 04:41:47 UTC
Created attachment 111504 [details]
Pages margin
Comment 5 V Stuart Foote 2014-12-30 05:16:14 UTC
@orion, *,

Thanks for the clips. Shows no implementation issues as the UI for OS X builds is consistent with those of Linux and Windows builds.

That said, with LibreOffice's page layout, the "gutter" created between document margin settings (that hold text, tables and graphics) and page edge is kept clearly identifiable. In the LibreOffice Writer UI that is consistently achieved at all zoom levels, including the "Page Width" zoom level, by providing a *scalable* percentage sized margin between page edge and visual elements of the writer frame.

Frankly Apple iWork Pages gets it wrong as they completely eliminate the page edge.

Setting scope to All builds.

Passing on for UX-advise:

Q: would it be worth development effort to provide option to set a 0% margin, eliminate delineation of page edge?

Q: to retain a clear delineation of page edge, would simple reduction of calculated margin be better UX?

Q: and if so, apply it only to "Page Width" zoom, or make it available globally across all zoom levels?
Comment 6 Orion 2014-12-30 05:53:18 UTC
Pages does not fully eliminate the margin. They just make it invisible by default (see attachment). A similar option for Writer would be great for those of us who like minimalist UI. 

Also, increasing the zoom until it's the same size as the window is finicky because you have to line them up manually, and it doesn't increase/decrease incrementally (i.e., you can't just pull the window bigger and retain the effect). 

Finally, on a touch mouse or touch pad, it's very easy to accidentally slide the page to the left or right, thus ruining the whole effect.
Comment 7 Orion 2014-12-30 05:53:33 UTC
Created attachment 111505 [details]
Pages margin II
Comment 8 Yousuf Philips (jay) (retired) 2015-03-01 09:24:20 UTC
Hi Orion,

Page with is a view to see the entire page, while optimal view is a view to see the entire margins. LibreOffice shows documents in print layout view and in this view, the entire page is visible including its borders. This is the normal view for most word processors (MS Word, Google Docs, Calligra Words) and there isnt a need to change it in LO.

You can switch to Web Layout ( View > Web Layout ) if you want a view that is without the grey areas around the page.
Comment 9 Orion 2015-03-01 18:25:40 UTC
Hi, Jay. 

With all due respect (and I mean that very literally), your comment does not acknowledge the content of what I've already said. 

* Optimal View cuts off half the margins (see newest attachment) 
* Web Layout doesn't show the page layout 
* Page Width includes the very gutter that I'm arguing against

My arguments against your counter-points remain: 

* that other word processors have this gutter doesn't make it "good"
* touch-pads and touch-mice make the window slide laterally in Optimal View
* manually adjusting the zoom is finicky 

Thus, my conclusion remains: it would be *really* easy to just have an option that doesn't include the gutter. 

I have yet to see an actual argument for the *function and utility* of the gutter. What does it do? What information does it provide that justifies its existence? I don't think there is any. I think you're all just really used to it being there.
Comment 10 Orion 2015-03-01 18:27:16 UTC
Created attachment 113802 [details]
Optimal View
Comment 11 V Stuart Foote 2015-03-01 19:25:46 UTC
@orion,
(In reply to orion from comment #9)
> Thus, my conclusion remains: it would be *really* easy to just have an
> option that doesn't include the gutter. 
> 

You are of course welcome to dig into the code and prove so, patches always welcome. ;-)

> I have yet to see an actual argument for the *function and utility* of the
> gutter. What does it do? What information does it provide that justifies its
> existence? I don't think there is any. I think you're all just really used
> to it being there.

Presence of the gutter--the gap on all four edges between documents page edge and the GUI window frame (or the ruler/scrollbar widgets)--more specifically defines the edge of the page as its lay out specifies.  As noted, the width of the gutter scales with the zoom level, and could likely be reduced--however, representation of the page edge uses a 3d shadowing that would be eliminated, or would not look correct with too great a reduction of the gutter. It exists because most users prefer to have a clear page edge delineation.

So what you are asking, in reality is to replace the existing page edge with a flat 1px border in a color appropriate to the UI, and to reduce or eliminate the gutter. The "page width" zoom level would redraw to that value to fit within window frame - scrollbar/ruler widgets.

It should be clear that it would be very unsightly should the page edges simply meet the window frame, or scrollbar(s), or ruler widget(s). A subdued 1px border is the minimum.
Comment 12 Yousuf Philips (jay) (retired) 2015-03-02 01:35:04 UTC
Hi Orion,

My apologize about recommending optimal view, as i seemed to have missed your comment 3.

Yes i think having a view that a user can select which disables the gutters and the 3d page edge effect would be a useful feature as i was going to suggest it for touch screen users.

I was able to fake this view by going into Tools > Options > Appearance, and setting Application Background to white and unchecking Shadows. Is this a sufficient enough fix the the problem you are posing or are you looking for something exactly like iWork Pages.
Comment 13 Orion 2015-03-02 01:56:35 UTC
I appreciate you pointing out that workaround, Jay, but it doesn't quite solve the problem I have, which is that the gutter takes up space for no good reason. Turning it white would make it impossible to tell exactly where the edge of the page is. 

But to be clear, the argument that the gutter helps to define the page is a bit baffling because it's perfectly obvious where the edge is. You can see your desktop behind it, especially if your windows have shadows, like they do in OSX. 

So I don't know why someone keeps flipping this bug to "solved." It feels like an aesthetic preference rather than a thing to be fixed, and in that case, why not just send a note up the chain to, someday, provide a "no gutters" option?
Comment 14 Yousuf Philips (jay) (retired) 2015-03-02 03:26:24 UTC
I believe that in order to fix what you are asking, the behaviour of the horizontal scrollbar needs to be adjusted so that it can zoom into that the exact page width size and this zoom level would need to be defined as something like 'page width optimal'.

The bug has only been flipped to solved once and that was by me. :D
Comment 15 V Stuart Foote 2015-03-02 03:34:29 UTC
(In reply to orion from comment #13)
>... it doesn't quite solve the problem I have, which is that the gutter 
>takes up space for no good reason

"I have" yes, exactly! This is your issue, the rest of us don't have an issue with the UI as currently implemented. Comfortable saying that majority prefers the current gutter and 3D page edge.

I am not saying suggeestion has no merit as an enhancement, but in truth it is little more than a visual tweak, especially when there are substantive issues of UI and UX to be tackled by our dev community. So I will take the opportunity, to be just a tad dismissive.

> So I don't know why someone keeps flipping this bug to "solved." 

Huh? The status is NEW and in ux-advise.  Please review the issue history in the modified label above right.

>It feels like an aesthetic preference rather than a thing to be fixed,
>and in that case, why not just send a note up the chain to, someday, 
>provide a "no gutters" option?

Umm, it is "up the chain" and set NEW.  And accordingly here is a reality check... unless closed again by the Design and UX-Advise team as WONTFIX, it will languish as one of hundreds of enhancements to UI of equal or greater merit.

Of course, you are welcome to code, or fund, an additional zoom mode or a expert configuration toggle for the page edge.  Then go ahead and submit it for review--it might even be a welcome improvement for someone else.
Comment 16 V Stuart Foote 2015-03-02 03:41:38 UTC
@Jay,
(In reply to Jay Philips from comment #14)
> I believe that in order to fix what you are asking, the behaviour of the
> horizontal scrollbar needs to be adjusted so that it can zoom into that the
> exact page width size and this zoom level would need to be defined as
> something like 'page width optimal'.

No, the correct way to implement this enhancement--there is nothing to fix--would be to change the UI and remove the 3D border and the additional padding being added to the drawing frame for the document page at any zoom level. No need to touch the scroll bar behavior.

That would most likely be done with a Expert Configuration toggle as this is such a specialized request. But if really popular could be done with from the Tools -> Option -> View, or module specific in its View panel.
Comment 17 Orion 2015-03-02 04:52:20 UTC
Hi, Stuart. 

Yes, *I* have the problem. That's why I'm the one reporting it, right? 

Also, there are actually only three commenters in this thread (you, me, and Jay), so we're not really a representative sample one way or the other, as much as I wish I could claim to represent 66% of users. 

I *entirely* agree that it's a very low-priority tweak. I honestly thought I was doing my part, as someone who doesn't code, by making the suggestion. And yeah, I don't know how to code, so that's not something I can help with. Believe me, I'd love to be able to fix it myself and just offer a solution. 

What's frustrating is to just be told "that's a bad idea" without any real explanation as to why. Just saying other word processors do X (or shouldn't have done X) doesn't address the problem. If it's simply so low on the list of priorities that it's not worth talking about, I can accept that, but, all due respect, you didn't say that. 

The status was "resolved" and "wontfix" earlier today. It's been changed since then. 

We cool now?
Comment 18 V Stuart Foote 2015-11-30 14:40:25 UTC
*** Bug 96130 has been marked as a duplicate of this bug. ***
Comment 19 wil111ber-cont 2015-12-02 17:11:56 UTC
Well, I accept being added to Bug 87842, and I remark the petition of Orion (is the same question, partially). We only want a thing that exists in Word (Windows), i. e.: view all the editable zone in fullscreen mode. The rest is unuseful, and the number of users that appreciate this function... do you know exactly? This function don't eliminate others possibilities, is one more, very reasonable.
I remember my other question: bar tools accesable in fullscreen with the mouse on top of window (i. e.). It's very, very useful for... I don't know the exact number of users.
Do you think really that the shadow (3D effect) is much more useful than the option that Orion and me appreciate?
BR
                                           Will
Comment 20 Robinson Tryon (qubit) 2016-08-25 05:39:16 UTC Comment hidden (obsolete)
Comment 21 Carlos de los Rios 2017-12-10 13:39:44 UTC
Comment on attachment 111503 [details]
Writer margin

Please, accept my best regards for this excelent work which incorporates a so powerful nucleus into a well developed interface making it agile, fast and easy to use. 
If I had to propose any kind of improvement, maybe I would note when you use Open Office and are inserting an image, you have a superior-ruler and also a lateral-left ruler which helps to adjust the size of figures. I don't know if LibreOffice Writer has the left ruler, but if it had would be useful to have it set it up as default or could do it easily, because when a document has more graphs than text on a determined page is important to control their dimensions exactly.
Comment 22 V Stuart Foote 2017-12-10 14:52:27 UTC
(In reply to Carlos de los Rios from comment #21)
> ...
> If I had to propose any kind of improvement, maybe I would note when you use
> Open Office and are inserting an image, you have a superior-ruler and also a
> lateral-left ruler which helps to adjust the size of figures. I don't know
> if LibreOffice Writer has the left ruler, but if it had would be useful to
> have it set it up as default or could do it easily, because when a document
> has more graphs than text on a determined page is important to control their
> dimensions exactly.

Thanks, but LibreOffice does have its vertical ruler. 

Both rulers were set off by default [1] and there is a unfulfilled request for AOO to do the same [2], for LibreOffice the horizontal ruler was re-enabled by default for bug 87923 [3].  

Both rulers can be adjusted from main menu View -> Rulers, or set in profile from Tools -> Options -> LibreOffice Writer -> View. Also Vertical ruler can be set left edge (default) or positioned on right edge, its measurement units can be adjusted. And once set in profile settings will be remembered.

Were a visual adjustment of gutters and 3d edge made as requested here, placement of the rulers (horizontal and vertical) would need to be considered as well (i.e. floating vs. affixed to edge when active, or other handling of the GUI element).

=-ref-=
[1] https://cgit.freedesktop.org/libreoffice/core/commit/?id=6170c7556285b0594994d23bff36328206e7d39a
[2] https://bz.apache.org/ooo/show_bug.cgi?id=99284
[3] https://cgit.freedesktop.org/libreoffice/core/commit/?id=e85489e08e6eca752f3c94c0fb26205ed2d3d880
Comment 23 Carlos de los Rios 2017-12-11 09:53:58 UTC
>>Thanks, but LibreOffice does have its vertical ruler. 

[...]

OK!!.. Done!, Great!

                       Thanks about!!!